# class GitHub::Markup::Implementation

### Attributes

regexp[R]

### Public Class Methods

new(regexp) click to toggle source

    # File lib/github/markup/implementation.rb, line 6
    def initialize(regexp)
      @regexp = regexp
    end

### Public Instance Methods

load() click to toggle source

    # File lib/github/markup/implementation.rb, line 10
    def load
      # no-op by default
    end

match?(filename) click to toggle source

    # File lib/github/markup/implementation.rb, line 18
    def match?(filename)
      file_ext_regexp =~ filename
    end

render(content) click to toggle source

    # File lib/github/markup/implementation.rb, line 14
    def render(content)
      raise NotImplementedError, "subclasses of GitHub::Markup::Implementation must define #render"
    end